IT2BE Tools Plugin - Defect #752

plugins.it2be_tools.server().hostName gives java error in Servoy 7.3
11/05/2013 12:37 PM - Hans Nieuwenhuis
Description
plugins.it2be_tools.server().hostName gives java error in Servoy 7.3

org.mozilla.javascript. WrappedException: Wrapped java.lang.RuntimeException: java.lang.Exception
(C:\\ServoyWorkSpaces\\servoy_workspace_NewProduction7\\svy_login\\forms\\login.js#66)
at org.mozilla.javascript.Context.throwAsScriptRuntimeEx(Context.java:1815)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:180)

at org.mozilla.javascript.JavaMembers.get(JavaMembers.java:113)

at org.mozilla.javascript.NativeJavaObject.get(NativeJavaObiject.java:122)

at org.mozilla.javascript.ScriptableObject.getProperty(ScriptableObject.java:2141)

at org.mozilla.javascript.ScriptRuntime.getObjectPropNoWarn(ScriptRuntime.java:1540)
at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:1401)

at script.onShow(C:\\ServoyWorkSpaces\\servoy_workspace_NewProduction7\\svy_login\\forms\\login.js:66)
at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:837)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:158)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:406)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3204)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:156)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:626)

at com.servoy.j2db.debug.RemoteDebugScriptEngine.executeFunction(RemoteDebugScriptEngine.java:393)
at com.servoy.j2db.FormController.executeFunction(FormController.java:4983)

at com.servoy.j2db.FormController.executeFormMethod(FormController.java:5319)

at com.servoy.j2db.FormController.executeOnShowMethod(FormController.java:5185)
at com.servoy.j2db.FormController.access$17(FormController.java:5179)

at com.servoy.j2db.FormController$3.run(FormController.java:3964)

at java.awt.event.InvocationEvent.dispatch(Unknown Source)

at java.awt.EventQueue.dispatchEventimpl(Unknown Source)

at java.awt.EventQueue.access$200(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.ProtectionDomain$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.run(Unknown Source)

Caused by: java.lang.RuntimeException: java.lang.Exception

at com.it2be.tools.ITServer.js_getHostName(Unknown Source)

at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:158)

... 31 more

Caused by: java.lang.Exception

at com.it2be.tools.ITServer.getServerService(Unknown Source)

... 37 more
History

#1 - 11/05/2013 11:59 PM - Servoy Components

- Status changed from New to In Progress

Can you please first update to 3.5-255 and check again.
| do not see the issue with my install.

#2 - 11/06/2013 10:10 AM - Hans Nieuwenhuis

Aaaaah, sorry

The servoy application server | used was in enhanced security mode and

the call to plugins.it2be_tools.server().hostname was done in the login solution.

So it is my mistake.
But maybe You can give a warning when tis happens...

Regards,

Hans

#3 - 11/27/2013 02:13 PM - Servoy Components

- Status changed from In Progress to Closed
